summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-p2p/rtorrent/files/rtorrentd.init')
-rw-r--r--net-p2p/rtorrent/files/rtorrentd.init33
1 files changed, 33 insertions, 0 deletions
diff --git a/net-p2p/rtorrent/files/rtorrentd.init b/net-p2p/rtorrent/files/rtorrentd.init
new file mode 100644
index 000000000000..8f4db9632937
--- /dev/null
+++ b/net-p2p/rtorrent/files/rtorrentd.init
@@ -0,0 +1,33 @@
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ use net ypbind nis
+ after slapd mysqld postgresql
+}
+
+start() {
+ PWHOME="$(getent passwd $USER | awk -F: '{ print $6 }')"
+
+ ebegin "Starting rtorrent"
+ env TERM="xterm" \
+ start-stop-daemon \
+ --start \
+ --make-pidfile \
+ --pidfile /var/run/rtorrentd.pid \
+ --background \
+ --user $USER \
+ --env HOME="${PWHOME:-/home/$USER}" \
+ --name rtorrent \
+ --exec /usr/bin/screen -- -D -m -S rtorrentd /usr/bin/rtorrent
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping rtorrent"
+ start-stop-daemon --stop --signal 15 \
+ --pidfile /var/run/rtorrentd.pid
+ eend $?
+}